### Method

# Tsparql SparqlStatement serialize_finish

since: 3.3

#### Declaration [src]

    GInputStream*
    tracker_sparql_statement_serialize_finish (
      TrackerSparqlStatement* stmt,
      GAsyncResult* result,
      GError** error
    )

#### Description [src]

Finishes the asynchronous operation started through `tracker_sparql_statement_serialize_async()`.

Available since: 3.3

#### Parameters

`result`

  Type: `GAsyncResult`

  A `GAsyncResult` with the result of the operation.

  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `GInputStream`

A `GInputStream` to read RDF content.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.